Summary: Devices entries for lirc with static /dev or udev
Name: lirc-devices
Version: 0.8
Release: 4%{?dist}
License: GPL
Group: System Environment/Kernel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
This package provides /dev entries for the lirc drivers.

%install
mkdir -p %{buildroot}
%if %{!?_without_udev:0} %{?_without_udev:1}
mkdir -p %{buildroot}/dev
ln -s lirc0 %{buildroot}/dev/lirc
%else
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
cat > %{buildroot}%{_sysconfdir}/udev/rules.d/lirc.rules << EOF
KERNEL=="lirc[0-9]*", NAME="lirc%%n", MODE="0660", GROUP="lirc"
KERNEL=="lirc0", SYMLINK="lirc"
EOF
%endif

%files
%defattr(-,root,lirc,-)
%if %{!?_without_udev:0} %{?_without_udev:1}
%attr(-,root,root) /dev/lirc
%dev(c,61,0) /dev/lirc0
%dev(c,61,1) /dev/lirc1
%dev(c,61,2) /dev/lirc2
%dev(c,61,3) /dev/lirc3
%else
%attr(-,root,root) %{_sysconfdir}/udev/rules.d/lirc.rules
%endif

%pre
groupadd -f -r lirc

%changelog
* Sun Jun 10 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.8-4
- Introduce lirc group (#1134).

* Thu Oct 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.8-3
- Recent udevs don't accept "=" anymore, use "==".

* Sat Jan  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

